/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.ClaseservicioEquivalenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.ClaseservicioEquivalencia;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("claseservicioEquivalenciaDAO")
public class ClaseservicioEquivalenciaHibernateDAO
        extends GenericHibernateDAO<ClaseservicioEquivalencia, Integer>
        implements ClaseservicioEquivalenciaDAO {

    @Autowired
    public ClaseservicioEquivalenciaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<ClaseservicioEquivalencia> buscar(ClaseServicio claseServicio, ComisionistaExterno comisionistaExterno) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("claseservicio", claseServicio));
        c.add(Restrictions.eq("comisionistaExterno", comisionistaExterno));

        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<ClaseservicioEquivalencia> buscarEquivalencia(ClaseservicioEquivalencia claseServicioEquivalencia) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("equivalenciaId", claseServicioEquivalencia.getEquivalenciaId()));


        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
}
